Index: app/Exports/FilesExport.php
===================================================================
--- app/Exports/FilesExport.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ app/Exports/FilesExport.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
@@ -0,0 +1,47 @@
+<?php
+
+namespace App\Exports;
+
+use App\Models\File;
+use App\Models\Folder;
+use App\Models\User;
+use Maatwebsite\Excel\Concerns\FromCollection;
+use Maatwebsite\Excel\Concerns\WithHeadings;
+use Maatwebsite\Excel\Concerns\WithMapping;
+
+class FilesExport implements FromCollection,  WithMapping, WithHeadings
+{
+    /**
+     * @return \Illuminate\Support\Collection
+     */
+    public function collection()
+    {
+        return File::all();
+    }
+
+    public function map($row): array{
+        $fields = [
+            $row->id,
+            $row->name,
+            $row->location,
+            $row->getSize($row->location) . ' MB',
+            $row->Folder::find($row->folder_id)->name . ' - ' . Folder::find($row->folder_id)->arch_id,
+            $row->created_at,
+            $row->updated_at
+        ];
+        return $fields;
+    }
+
+    public function headings(): array
+    {
+        return [
+            'ID',
+            'Name',
+            'Location',
+            'Size',
+            'Folder - Archive ID',
+            'Created at',
+            'Updated at'
+        ];
+    }
+}
Index: app/Exports/FoldersExport.php
===================================================================
--- app/Exports/FoldersExport.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ app/Exports/FoldersExport.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
@@ -0,0 +1,52 @@
+<?php
+
+namespace App\Exports;
+
+use App\Models\Department;
+use App\Models\Folder;
+use Maatwebsite\Excel\Concerns\FromCollection;
+use Maatwebsite\Excel\Concerns\WithHeadings;
+use Maatwebsite\Excel\Concerns\WithMapping;
+
+class FoldersExport implements FromCollection, WithMapping, WithHeadings
+{
+    /**
+    * @return \Illuminate\Support\Collection
+    */
+    public function collection()
+    {
+        return Folder::all();
+    }
+
+    public function map($row): array{
+        $fields = [
+            $row->id,
+            $row->arch_id,
+            $row->name,
+            $row->note,
+            $row->location,
+            $row->User::find($row->user_id)->username,
+            $row->Department::find($row->department_id)->name . ' - ' . Department::find($row->department_id)->code,
+            $row->is_important,
+            $row->created_at,
+            $row->updated_at
+        ];
+        return $fields;
+    }
+
+    public function headings(): array
+    {
+        return [
+            'ID',
+            'Archive ID',
+            'Name',
+            'Note',
+            'Location',
+            'Created by',
+            'Department name - code',
+            'Is important',
+            'Created at',
+            'Updated at'
+        ];
+    }
+}
Index: app/Exports/UsersExport.php
===================================================================
--- app/Exports/UsersExport.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ app/Exports/UsersExport.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
@@ -0,0 +1,54 @@
+<?php
+
+namespace App\Exports;
+
+use App\Models\Role;
+use App\Models\User;
+use Maatwebsite\Excel\Concerns\FromCollection;
+use Maatwebsite\Excel\Concerns\WithHeadings;
+use Maatwebsite\Excel\Concerns\WithMapping;
+
+class UsersExport implements FromCollection, WithMapping, WithHeadings
+{
+    /**
+    * @return \Illuminate\Support\Collection
+    */
+    public function collection()
+    {
+        return User::all();
+    }
+
+    public function map($row): array{
+        $fields = [
+            $row->id,
+            $row->name,
+            $row->surname,
+            $row->username,
+            $row->email,
+            $row->phone_number,
+            $row->is_confirmed,
+            $row->Role::find($row->role_id)->name,
+            $row->where('id', $row->created_by)->pluck('username')->first(),
+            $row->created_at,
+            $row->updated_at
+        ];
+        return $fields;
+    }
+
+    public function headings(): array
+    {
+        return [
+            'ID',
+            'Name',
+            'Surname',
+            'Username',
+            'Email',
+            'Phone number',
+            'Is confirmed',
+            'Role',
+            'Created by',
+            'Created at',
+            'Updated at'
+        ];
+    }
+}
